## ranger 1.9.3

=== Makefile ===
# This file is part of ranger, the console file manager.
# License: GNU GPL version 3, see the file "AUTHORS" for details.

NAME = ranger
VERSION = $(shell grep -m 1 -o '[0-9][0-9.]\+\S*' README.md)
NAME_RIFLE = rifle
VERSION_RIFLE = $(VERSION)
SNAPSHOT_NAME ?= $(NAME)-$(VERSION)-$(shell git rev-parse HEAD | cut -b 1-8).tar.gz
# Find suitable python version (need python >= 2.6 or 3.1):
PYTHON ?= $(shell \
	     (python -c 'import sys; sys.exit(sys.version < "2.6")' && \
	      which python) \
	     || (which python3) \
	     || (python2 -c 'import sys; sys.exit(sys.version < "2.6")' && \
	         which python2) \
	   )
ifeq ($(PYTHON),)
  $(error No suitable python found.)
endif
SETUPOPTS ?= '--record=install_log.txt'
DOCDIR ?= doc/pydoc
DESTDIR ?= /
PREFIX ?= /usr/local
PYOPTIMIZE ?= 1
FILTER ?= .

CWD = $(shell pwd)

default: test compile
	@echo 'Run `make options` for a list of all options'

options: help
	@echo
	@echo 'Options:'
	@echo 'PYTHON = $(PYTHON)'
	@echo 'PYOPTIMIZE = $(PYOPTIMIZE)'
	@echo 'DOCDIR = $(DOCDIR)'
	@echo 'DESTDIR = $(DESTDIR)'

help:
	@echo 'make:                 Test and compile ranger.'
	@echo 'make install:         Install $(NAME)'
	@echo 'make pypi_sdist:      Release a new sdist to PyPI'
	@echo 'make clean:           Remove the compiled files (*.pyc, *.pyo)'
	@echo 'make doc:             Create the pydoc documentation'
	@echo 'make cleandoc:        Remove the pydoc documentation'
	@echo 'make man:             Compile the manpage with "pod2man"'
	@echo 'make manhtml:         Compile the html manpage with "pod2html"'
	@echo 'make snapshot:        Create a tar.gz of the current git revision'
	@echo 'make test:            Test everything'
	@echo 'make test_pylint:     Test using pylint'
	@echo 'make test_flake8:     Test using flake8'
	@echo 'make test_doctest:    Test using doctest'
	@echo 'make test_pytest:     Test using pytest'
	@echo 'make test_other:      Verify the manpage is complete'
	@echo 'make test_py:         Run all python tests, including manpage completeness'
	@echo 'make test_shellcheck: Test using shellcheck'
	@echo 'make todo:            Look for TODO and XXX markers in the source code'

install:
	$(PYTHON) setup.py install $(SETUPOPTS) \
		'--prefix=$(PREFIX)' '--root=$(DESTDIR)' \
		--optimize=$(PYOPTIMIZE)

compile: clean
	PYTHONOPTIMIZE=$(PYOPTIMIZE) $(PYTHON) -m compileall -q ranger

clean:
	find ranger -regex .\*\.py[co]\$$ -delete
	find ranger -depth -name __pycache__ -type d -exec rm -r -- {} \;

doc: cleandoc
	mkdir -p $(DOCDIR)
	cd $(DOCDIR); \
		$(PYTHON) -c 'import pydoc, sys; \
		sys.path[0] = "$(CWD)"; \
		pydoc.writedocs("$(CWD)")'
	find . -name \*.html -exec sed -i 's|'"$(CWD)"'|../..|g' -- {} \;

TEST_PATHS_MAIN = \
	$(shell find ./ranger -mindepth 1 -maxdepth 1 -type d \
		! -name '__pycache__' \
		! -path './ranger/config' \
		! -path './ranger/data' \
	) \
	./ranger/__init__.py \
	$(shell find ./doc/tools ./examples -type f -name '*.py') \
	./ranger.py \
	./setup.py \
	./tests
TEST_PATH_CONFIG = ./ranger/config

test_pylint:
	@echo "Running pylint..."
	pylint $(TEST_PATHS_MAIN)
	pylint --rcfile=$(TEST_PATH_CONFIG)/.pylintrc $(TEST_PATH_CONFIG)

test_flake8:
	@echo "Running flake8..."
	flake8 $(TEST_PATHS_MAIN) $(TEST_PATH_CONFIG)

test_doctest:
	@echo "Running doctests..."
	@set -e; \
	for FILE in $(shell grep -IHm 1 doctest -r ranger | grep $(FILTER) | cut -d: -f1); do \
		echo "Testing $$FILE..."; \
		RANGER_DOCTEST=1 PYTHONPATH=".:"$$PYTHONPATH ${PYTHON} $$FILE; \
	done

test_pytest:
	@echo "Running py.test tests..."
	py.test tests

test_py: test_pylint test_flake8 test_doctest test_pytest test_other
	@echo "Finished python and documentation tests!"

test_shellcheck:
	@echo "Running shellcheck..."
	sed '2,$$s/^\(\s*\)#/\1/' ./ranger/data/scope.sh | shellcheck -a -

test_other:
	@echo "Checking completeness of man page..."
	@tests/manpage_completion_test.py

test: test_py test_shellcheck
	@echo "Finished testing: All tests passed!"

doc/ranger.1: doc/ranger.pod README.md
	pod2man --stderr --center='ranger manual' \
		--date='$(NAME)-$(VERSION)' \
		--release=$(shell date -u '+%Y-%m-%d') \
		doc/ranger.pod doc/ranger.1

doc/rifle.1: doc/rifle.pod README.md
	pod2man --stderr --center='rifle manual' \
		--date='$(NAME_RIFLE)-$(VERSION_RIFLE)' \
		--release=$(shell date -u '+%Y-%m-%d') \
		doc/rifle.pod doc/rifle.1

man: doc/ranger.1 doc/rifle.1

manhtml:
	pod2html doc/ranger.pod --outfile=doc/ranger.1.html

cleandoc:
	test -d $(DOCDIR) && rm -- $(DOCDIR)/*.html || true

snapshot:
	git archive --prefix='$(NAME)-$(VERSION)/' --format=tar HEAD | gzip > $(SNAPSHOT_NAME)

dist: snapshot

todo:
	@grep --color -Ion '\(TODO\|XXX\).*' -r ranger

.PHONY: clean cleandoc compile default dist doc help install man manhtml \
	options snapshot test test_pylint test_flake8 test_doctest test_pytest \
	test_other todo pypi_sdist

=== debian/changelog ===
ranger (1.9.3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Mo Zhou ]
  * Fix shell code error in scope.sh to prevent FTBFS. (Closes: #1027654)

 -- Mo Zhou <lumin@debian.org>  Wed, 04 Jan 2023 10:29:02 -0500

ranger (1.9.3-4) unstable; urgency=medium

  [ Dan Bungert ]
  * Fix test failure on slow machines. "sleep 1" may not be long enough
    to allow the program to start and execute the command.

  [ Mo Zhou ]
  * Bump debhelper compat level to 13.
  * Copyright: bump year.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Fri, 07 Oct 2022 18:29:08 -0400

ranger (1.9.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mo Zhou ]
  * Should not depend on a specific version of Python3 (Closes: #975451)
  * Fix typo in the command binding (Closes: #960184)
  * Upload and rebuild for the python3.9 transition (Closes: #976770)

 -- Mo Zhou <lumin@debian.org>  Tue, 08 Dec 2020 14:19:45 +0800

ranger (1.9.3-2) unstable; urgency=medium

  [ Moritz Muehlenhoff ]
  * Update obsolete suggests on python-pygments (Closes: #954878)

  [ Mo Zhou ]
  * Bump Standards-Version to 4.5.0 (no change).
  * Specify Rules-Requires-Root: no.
  * Update patch make-use-py2tools.patch

 -- Mo Zhou <lumin@debian.org>  Sun, 12 Apr 2020 11:05:43 +0800

ranger (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * Update my mail address and the year in d/copyright.
  * Install doc/cheatsheet.svg to the doc dir.
  * Refresh patches & remove 0004-desktop-entry-lacks-keywords-entry.patch.
  * Add the missing B-D shellcheck.
  * Apply wrap-and-sort.
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Bump Standards-Version to 4.4.1 (no change).

 -- Mo Zhou <lumin@debian.org>  Fri, 03 Jan 2020 11:07:11 +0800

ranger (1.9.2-5) unstable; urgency=medium

  * Team upload
  * Build-depend on pylint which is now python3, not pylint3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 17:01:59 +0100

=== debian/control ===
Source: ranger
Section: utils
Priority: optional
Maintainer: Vern Sun <s5unty@gmail.com>
Uploaders: Mo Zhou <lumin@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flake8,
               pylint,
               python3-all,
               python3-pytest,
               shellcheck
Vcs-Git: https://salsa.debian.org/debian/ranger.git
Vcs-Browser: https://salsa.debian.org/debian/ranger
Homepage: https://ranger.github.io
Rules-Requires-Root: no

Package: ranger
Architecture: all
Depends: sensible-utils, ${misc:Depends}, ${python3:Depends}
Recommends: file, less, python3-chardet, w3m-img
Suggests: atool,
          caca-utils,
          elinks | elinks-lite | lynx | w3m,
          highlight | python3-pygments,
          mediainfo | exiftool,
          poppler-utils | mupdf-tools,
          sudo,
          unoconv
Description: Console File Manager with VI Key Bindings
 Ranger is a console file manager with VI key bindings.  It provides a
 minimalistic and nice curses interface with a view on the directory hierarchy.
 It ships with "rifle", a file launcher that is good at automatically finding
 out which program to use for what file type.
 .
 Design Goals
  * An easily maintainable file manager in a high level language
  * A quick way to switch directories and browse the file system
  * Keep it small but useful, do one thing and do it well
  * Console based, with smooth integration into the unix shell

=== debian/tests/control ===
Test-Command: prove -v debian/tests/t
Depends: perl, procps, screen, @

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://ranger.github.io/download.html ranger-(\d\S*)\.tar\.gz

## ranger 1.9.4

=== requirements.txt ===
flake8
pylint<2
pytest

=== debian/changelog ===
ranger (1.9.4-2) unstable; urgency=medium

  * Cherry-pick upstream fix for issue #1603. (Closes: #1021946)
  * Add missing Build-Depends: python3-setuptools. (Closes: #1100297)
  * Patch manpage to fix the missing NAME section. (Closes: #1041226)
  * Patch rifle config file for imv executable path. (Closes: #1040749)

 -- Mo Zhou <lumin@debian.org>  Wed, 19 Mar 2025 22:35:02 -0400

ranger (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4 (Closes: #1084731)
  * Refresh existing patches.
  * Fix FTBS after successful build. (Closes: #1048726)

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Nov 2024 17:32:18 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                pylint,
                python3-all,
                python3-pytest,
+               python3-setuptools,
                shellcheck
 Vcs-Git: https://salsa.debian.org/debian/ranger.git
 Vcs-Browser: https://salsa.debian.org/debian/ranger

=== debian/rules ===
#!/usr/bin/make -f

# Unset the environment variables set by dpkg-buildpackage. (This is
# necessary because distutils is brittle with compiler/linker flags
# set. Specifically, packages using f2py will break without this.)
unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

export TERM=linux
export HOME=/tmp/

%:
	dh $@ -Smakefile --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build_scripts
	rm -rf .pytest_cache
	rm -rf build
	rm -rf ranger_fm.egg-info
	rm -f install_log.txt
	find tests -regex ".*\.py[co]" -delete

override_dh_auto_build:
	:

override_dh_auto_install:
	python3 setup.py install --root=debian/ranger --install-layout=deb
	# link configuration
	dh_link \
		./usr/lib/python3/dist-packages/ranger/config/commands.py    ./etc/ranger/config/commands.py \
		./usr/lib/python3/dist-packages/ranger/config/rc.conf        ./etc/ranger/config/rc.conf     \
		./usr/lib/python3/dist-packages/ranger/config/rifle.conf     ./etc/ranger/config/rifle.conf  \
		./usr/lib/python3/dist-packages/ranger/data/scope.sh         ./etc/ranger/data/scope.sh      \
		./usr/lib/python3/dist-packages/ranger/data/mime.types       ./etc/ranger/data/mime.types
	# avoid extra-license-file
	rm debian/ranger/usr/share/doc/ranger/CHANGELOG.md
	# tell lintian to not complain
	find debian/ranger -regex ".*/data/scope.sh" -exec chmod u+x {} \;

override_dh_auto_test:
	dh_auto_test -- PYTHON=python3
